package devices

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type ProgramRouter struct{}

func (pr *ProgramRouter) InitProgramRouter(Router *gin.RouterGroup) {
	programRouter := Router.Group("program").Use(middleware.OperationRecord())

	programApi := v1.ApiGroupApp.DevicesApiGroup.ProgramApi

	{
		programRouter.POST("createProgram", programApi.CreateProgram) // 增加LED
		programRouter.PUT("updateProgram", programApi.UpdateProgram)  // 编辑
	}

	{
	}
}
